# Generated by Django 4.0.3 on 2022-07-28 19:12

from django.db import migrations, models
import uuid
from uuid import uuid4


def populate_uuids(apps, schema_editor):
    for model in {'Subscription', 'SubscriptionPayment', 'SubscriptionPaymentRefund'}:
        cls = apps.get_model('subscriptions', model)
        for instance in cls.objects.all():
            instance.uid = uuid4()
            instance.save()


class Migration(migrations.Migration):

    dependencies = [
        ('subscriptions', '0011_alter_plan_charge_amount_currency_alter_plan_id_and_more'),
    ]

    operations = [
        migrations.AddField(
            model_name='subscription',
            name='uid',
            field=models.UUIDField(blank=True, default=uuid.uuid4, null=True),
        ),
        migrations.AddField(
            model_name='subscriptionpayment',
            name='uid',
            field=models.UUIDField(blank=True, default=uuid.uuid4, null=True),
        ),
        migrations.AddField(
            model_name='subscriptionpaymentrefund',
            name='uid',
            field=models.UUIDField(blank=True, default=uuid.uuid4, null=True),
        ),
        migrations.RunPython(populate_uuids),
    ]
