# Generated by Django 4.0.3 on 2022-07-28 19:20

from django.db import migrations


def fill_in_uid_fks(apps, schema_editor):
    SubscriptionPayment = apps.get_model('subscriptions', 'SubscriptionPayment')
    for payment in SubscriptionPayment.objects.exclude(subscription=None):
        payment.subscription_uid = payment.subscription
        payment.save()

    SubscriptionPaymentRefund = apps.get_model('subscriptions', 'SubscriptionPaymentRefund')
    for refund in SubscriptionPaymentRefund.objects.all():
        refund.original_payment_uid = refund.original_payment.uid
        refund.save()

    Tax = apps.get_model('subscriptions', 'Tax')
    for tax in Tax.objects.all():
        tax.subscription_payment_uid = tax.subscription_payment.uid
        tax.save()


class Migration(migrations.Migration):

    dependencies = [
        ('subscriptions', '0014_subscriptionpayment_subscription_uid_and_more'),
    ]

    operations = [
        migrations.RunPython(fill_in_uid_fks),
    ]
