# Generated by Django 4.1.3 on 2023-04-17 13:12

from django.db import migrations


def add_default_plans_to_existing_users(apps, schema_editor):
    from subscriptions.functions import get_default_plan
    from subscriptions.models import INFINITY
    from django.utils.timezone import now

    User = apps.get_model('auth', 'User')
    Subscription = apps.get_model('subscriptions', 'Subscription')

    default_plan = get_default_plan()
    if not default_plan:
        return

    now_ = now()
    for user in User.objects.all():
        last_subscription = user.subscriptions.order_by('end').last()
        Subscription.objects.create(
            user=user,
            plan=default_plan,
            start=max(last_subscription.end, now_) if last_subscription else now_,
            end=now_+INFINITY,
        )
        Subscription.objects.create(user=user, plan=default_plan)


def sing_a_song(apps, schema_editor):
    print('We wish you a Merry Christmas, '*3 + 'And a Happy New Year!')


class Migration(migrations.Migration):
    dependencies = [
        ("subscriptions", "0031_alter_plan_tier"),
    ]

    operations = [
        migrations.RunPython(add_default_plans_to_existing_users, sing_a_song),
    ]
